/* Auto Kishimot's SCHeduler Data Install ver 0.01 */
#include<stdio.h>
#include<stdlib.h>
#include<string.h>

int
main(int ac,char *av[]){
	FILE *fp,*ofp;
	char buf[BUFSIZ],date[9],item[BUFSIZ];
	char baseDir[BUFSIZ],*bdir,path[BUFSIZ];

	if(NULL != (bdir = getenv("KSCHDIR"))){
		strcpy(baseDir,bdir);
	}else{
		sprintf(baseDir,"%s/.ksch",getenv("HOME"));
	}
	
	if(ac==1){
		fprintf(stderr,"Usage:%s datafile\n",av[0]);
		exit(1);
	}

	if(NULL==(fp=fopen(av[1],"r"))){
		fprintf(stderr,"can't open %s\n",av[1]);
		exit(1);
	}

	while(NULL!=fgets(buf,BUFSIZ,fp)){
		strncpy(date,buf,8);
		date[8]='\0';
		strcpy(item,buf+9);
		sprintf(path,"%s/%s.sch",baseDir,date);
		if(NULL==(ofp=fopen(path,"a"))){
			fprintf(stderr,"can't open %s\n",path);
			exit(1);
		}else{
			fprintf(ofp,"%s",item);
		}
		fclose(ofp);
	}
	fclose(fp);
}
